# Class RANSNx16Params

java.lang.Object
htsjdk.samtools.cram.compression.rans.RANSNx16Params

All Implemented Interfaces:
  `RANSParams`

public final class RANSNx16Params extends Object implements RANSParams
Parameters for the rANS Nx16 codec. The format flags byte encodes the combination of transformations (ORDER, N32, STRIPE, NOSZ, CAT, RLE, PACK) to apply.

## Nested Class Summary

### Nested classes/interfaces inherited from interface RANSParams

`RANSParams.ORDER`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CAT_FLAG_MASK`
`static final int`
`N32_FLAG_MASK`
`static final int`
`NOSZ_FLAG_MASK`
`static final int`
`ORDER_FLAG_MASK`
`static final int`
`PACK_FLAG_MASK`
`static final int`
`RLE_FLAG_MASK`
`static final int`
`STRIPE_FLAG_MASK`

## Constructor Summary

Constructors
Constructor
Description
`RANSNx16Params(int formatFlags)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getFormatFlags()`
`int`
`getNumInterleavedRANSStates()`
`RANSParams.ORDER`
`getOrder()`
`boolean`
`isCAT()`
`boolean`
`isNosz()`
`boolean`
`isPack()`
`boolean`
`isRLE()`
`boolean`
`isStripe()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ORDER_FLAG_MASK

public static final int ORDER_FLAG_MASK

See Also:
  - Constant Field Values

### N32_FLAG_MASK

public static final int N32_FLAG_MASK

See Also:
  - Constant Field Values

### STRIPE_FLAG_MASK

public static final int STRIPE_FLAG_MASK

See Also:
  - Constant Field Values

### NOSZ_FLAG_MASK

public static final int NOSZ_FLAG_MASK

See Also:
  - Constant Field Values

### CAT_FLAG_MASK

public static final int CAT_FLAG_MASK

See Also:
  - Constant Field Values

### RLE_FLAG_MASK

public static final int RLE_FLAG_MASK

See Also:
  - Constant Field Values

### PACK_FLAG_MASK

public static final int PACK_FLAG_MASK

See Also:
  - Constant Field Values

## Constructor Details

### RANSNx16Params

public RANSNx16Params(int formatFlags)

Parameters:
  `formatFlags` - the raw format flags byte from the compressed stream header

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getOrder

public RANSParams.ORDER getOrder()

Specified by:
  `getOrder` in interface `RANSParams`

### getFormatFlags

public int getFormatFlags()

Specified by:
  `getFormatFlags` in interface `RANSParams`

### getNumInterleavedRANSStates

public int getNumInterleavedRANSStates()

Returns:
  the number of interleaved rANS states: 4 (default) or 32 (if N32 flag set).

### isStripe

public boolean isStripe()

Returns:
  true if the STRIPE transformation flag is set.

### isNosz

public boolean isNosz()

Returns:
  true if the NOSZ (no-size) flag is set, meaning output size is externally provided.

### isCAT

public boolean isCAT()

Returns:
  true if the CAT (concatenation/uncompressed) flag is set.

### isRLE

public boolean isRLE()

Returns:
  true if the RLE (run-length encoding) preprocessing flag is set.

### isPack

public boolean isPack()

Returns:
  true if the PACK (bit-packing) preprocessing flag is set.